Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class DataOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.DataOutputStream

    public class DataOutputStream

extends OutputStream

Transmits java data types as bytes over an OutputStream.

Field Summary
`protected OutputStream` | `out`
`protected int` | `written`

Constructor Summary
`DataOutputStream(OutputStream out)`

Method Summary
`void` | `close()` Closes this data output stream.
`void` | `flush()` Flushes this data output stream.
`int` | `size()` Returns the current value of the counter `written`, the number of bytes written to this data output stream so far.
`void` | `write(byte[] b, int off, int len)` Writes `len` bytes from the specified byte array starting at offset `off` to the underlying output stream.
`void` | `write(int b)` Writes the specified byte (the low eight bits of the argument `b`) to the underlying output stream.
`void` | `writeBoolean(boolean v)` Writes a `boolean` to the underlying output stream as a 1-byte value.
`void` | `writeByte(int v)` Writes out a `byte` to the underlying output stream as a 1-byte value.
`void` | `writeChar(int v)` Writes a `char` to the underlying output stream as a 2-byte value, high byte first.
`void` | `writeChars(String value)`
`void` | `writeFloat(float v)` Converts the float argument to an `int` using the `floatToIntBits` method in class `Float`, and then writes that `int` value to the underlying output stream as a 4-byte quantity, high byte first.
`void` | `writeInt(int v)` Writes an `int` to the underlying output stream as four bytes, high byte first.
`void` | `writeShort(int v)` Writes a `short` to the underlying output stream as two bytes, high byte first.

Methods inherited from class java.io.OutputStream
`write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Field Detail

### written

    protected int written

### out

    protected OutputStream out

Constructor Detail

### DataOutputStream

    public DataOutputStream(OutputStream out)

Method Detail

### write

    public void write(int b)
               throws IOException

  Writes the specified byte (the low eight bits of the argument `b`) to the underlying output stream. If no exception is thrown, the counter `written` is incremented by `1`.

  Implements the `write` method of `OutputStream`.

  Specified by:
    `write` in class `OutputStream`
  Parameters:
    `b` - the `byte` to be written.
  Throws:
    `IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Writes `len` bytes from the specified byte array starting at offset `off` to the underlying output stream. If no exception is thrown, the counter `written` is incremented by `len`.

  Overrides:
    `write` in class `OutputStream`
  Parameters:
    `b` - the data.
    `off` - the start offset in the data.
    `len` - the number of bytes to write.
  Throws:
    `IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`

### flush

    public void flush()
               throws IOException

  Flushes this data output stream. This forces any buffered output bytes to be written out to the stream.

  The `flush` method of `DataOuputStream` calls the `flush` method of its underlying output stream.

  Overrides:
    `flush` in class `OutputStream`
  Throws:
    `IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`, `OutputStream.flush()`

### close

    public void close()
               throws IOException

  Closes this data output stream. This forces any buffered output bytes to be written out to the stream.

  The `close` method of `DataOuputStream` calls the `close` method of its underlying output stream.

  Overrides:
    `close` in class `OutputStream`
  Throws:
    `IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`, `OutputStream.flush()`

### writeBoolean

    public final void writeBoolean(boolean v)
                            throws IOException

  Writes a `boolean` to the underlying output stream as a 1-byte value. The value `true` is written out as the value `(byte)1`; the value `false` is written out as the value `(byte)0`. If no exception is thrown, the counter `written` is incremented by `1`.

  Parameters:
    `v` - a `boolean` value to be written.
  Throws:
    `IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`

### writeByte

    public final void writeByte(int v)
                         throws IOException

  Writes out a `byte` to the underlying output stream as a 1-byte value. If no exception is thrown, the counter `written` is incremented by `1`.

  Parameters:
    `v` - a `byte` value to be written.
  Throws:
    `IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`

### writeShort

    public final void writeShort(int v)
                          throws IOException

  Writes a `short` to the underlying output stream as two bytes, high byte first. If no exception is thrown, the counter `written` is incremented by `2`.

  Parameters:
    `v` - a `short` to be written.
  Throws:
    `IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`

### writeChar

    public final void writeChar(int v)
                         throws IOException

  Writes a `char` to the underlying output stream as a 2-byte value, high byte first. If no exception is thrown, the counter `written` is incremented by `2`.

  Parameters:
    `v` - a `char` value to be written.
  Throws:
    `IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`

### writeInt

    public final void writeInt(int v)
                        throws IOException

  Writes an `int` to the underlying output stream as four bytes, high byte first. If no exception is thrown, the counter `written` is incremented by `4`.

  Parameters:
    `v` - an `int` to be written.
  Throws:
    `IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`

### writeFloat

    public final void writeFloat(float v)
                          throws IOException

  Converts the float argument to an `int` using the `floatToIntBits` method in class `Float`, and then writes that `int` value to the underlying output stream as a 4-byte quantity, high byte first. If no exception is thrown, the counter `written` is incremented by `4`.

  Parameters:
    `v` - a `float` value to be written.
  Throws:
    `IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`, `Float.floatToIntBits(float)`

### size

    public final int size()

  Returns the current value of the counter `written`, the number of bytes written to this data output stream so far. If the counter overflows, it will be wrapped to Integer.MAX_VALUE.

  Returns:
    the value of the `written` field.
  See Also:
    `written`

### writeChars

    public final void writeChars(String value)
                          throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD